# Uses of Interface
org.biojava.utils.bytecode.CodeGenerator

## Uses of CodeGenerator in org.biojava.utils.bytecode

Subinterfaces of CodeGenerator in org.biojava.utils.bytecode
Modifier and Type
Interface
Description
`interface`
`Instruction`
Base class for java bytecode instructions.
`interface`
`ParametricCodeGenerator`
`interface`
`PParametricCodeGenerator`
Classes in org.biojava.utils.bytecode that implement CodeGenerator
Modifier and Type
Class
Description
`class`
`IfExpression`
A CodeGenerator that provides something semanticaly identical to if.
`class`
`InstructionVector`
A list of Instructions and/or other CodeGenerator objects.
`class`
`Label`
A Label used to mark a position in byte code.
`class`
`MarkLabel`
A CodeGenerator that just marks a label that can be used for jumps.
Fields in org.biojava.utils.bytecode declared as CodeGenerator
Modifier and Type
Field
Description
`static final CodeGenerator`
CodeUtils.`DO_NOTHING`
Methods in org.biojava.utils.bytecode that return CodeGenerator
Modifier and Type
Method
Description
`CodeGenerator`
InstructionVector.`generatorAt(int pos)`
`CodeGenerator`
IfExpression.`getIfFalse()`
`CodeGenerator`
IfExpression.`getIfTrue()`
`static CodeGenerator`
ByteCode.`make_markLabel(Label lab)`
`static CodeGenerator`
ByteCode.`make_synchronizedBlock(CodeGenerator code)`
Synchronize the processing of an entire block of code on the object on the top of the stack.
`static CodeGenerator`
ByteCode.`make_synchronizedBlock(LocalVariable lockVar, CodeGenerator code)`
Synchronize the processing of an entire block of code on a local variable.
Methods in org.biojava.utils.bytecode with parameters of type CodeGenerator
Modifier and Type
Method
Description
`void`
InstructionVector.`add(int pos, CodeGenerator g)`
`void`
InstructionVector.`add(CodeGenerator g)`
`static CodeGenerator`
ByteCode.`make_synchronizedBlock(CodeGenerator code)`
Synchronize the processing of an entire block of code on the object on the top of the stack.
`static CodeGenerator`
ByteCode.`make_synchronizedBlock(LocalVariable lockVar, CodeGenerator code)`
Synchronize the processing of an entire block of code on a local variable.
`void`
GeneratedCodeClass.`setCodeGenerator(CodeMethod method, CodeGenerator cg)`
Constructors in org.biojava.utils.bytecode with parameters of type CodeGenerator
Modifier
Constructor
Description
``
`IfExpression(byte ifInstruction, CodeGenerator ifTrue, CodeGenerator ifFalse)`